| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::IersBulletinFile Class Reference

Class for reading Iers bulletins (B -only 2010 format- or A) file data. More...

Inheritance diagram for EECFI::IersBulletinFile:

List of all members.

## Public Member Functions
| IersBulletinFile ()
| Default constructor.
| IersBulletinFile (string bulletinName)
| Constructor with file name.
| ~IersBulletinFile ()
| Destructor.
void | read () throw (CfiError)
| Read the file. It is assumed that the file name has already been itnroduced.
void | operator= (const IersBulletinFile &iersFile)
| Operator=.
| IersBulletinFile (const IersBulletinFile &iersFile)
| Copy constructor.
## Public Attributes
long | bulletinType
| Bulletin A or Bulletin B (XDBulletinTypeEnum).
IersBulletinAFile * | iersBulletinAFile
| Bulletin A data. Not NULL when a Bulletin A is read.
IersBulletinBFile * | iersBulletinBFile
| Bulletin B data. Not NULL when a Bulletin B is read.

## Detailed Description

Class for reading Iers bulletins (B -only 2010 format- or A) file data.

## Constructor & Destructor Documentation

EECFI::IersBulletinFile::IersBulletinFile | ( |  | ) |

Default constructor.

References bulletinType, iersBulletinAFile, and iersBulletinBFile.

EECFI::IersBulletinFile::IersBulletinFile | ( | string | bulletinName | ) |

Constructor with file name.

References bulletinType, iersBulletinAFile, and iersBulletinBFile.

EECFI::IersBulletinFile::~IersBulletinFile | ( |  | ) |

Destructor.

EECFI::IersBulletinFile::IersBulletinFile | ( | const IersBulletinFile & | iersFile | ) |

Copy constructor.

Parameters:

  | iersFile | Object to be copied.

References bulletinType, EECFI::EEFile::fileName, EECFI::EEFile::fileType, iersBulletinAFile, iersBulletinBFile, and EECFI::CfiClass::throwWarn.

## Member Function Documentation

void EECFI::IersBulletinFile::operator= | ( | const IersBulletinFile & | iersFile | ) |

Operator=.

Parameters:

  | iersFile | Object to be copied.

References bulletinType, EECFI::EEFile::fileName, EECFI::EEFile::fileType, iersBulletinAFile, iersBulletinBFile, and EECFI::CfiClass::throwWarn.

void EECFI::IersBulletinFile::read | ( |  | ) | throw (CfiError)

Read the file. It is assumed that the file name has already been itnroduced.

References bulletinType, EECFI::EEFile::fileName, iersBulletinAFile, iersBulletinBFile, and EECFI::CfiClass::throwWarn.

## Member Data Documentation

long EECFI::IersBulletinFile::bulletinType

Bulletin A or Bulletin B (XDBulletinTypeEnum).

Referenced by IersBulletinFile(), operator=(), and read().

IersBulletinAFile* EECFI::IersBulletinFile::iersBulletinAFile

Bulletin A data. Not NULL when a Bulletin A is read.

Referenced by IersBulletinFile(), operator=(), and read().

IersBulletinBFile* EECFI::IersBulletinFile::iersBulletinBFile

Bulletin B data. Not NULL when a Bulletin B is read.

Referenced by IersBulletinFile(), operator=(), and read().